Description

When using hammer content-view version incremental-update, if the --packages options is used hammer fails with error message:

An error occurred incrementally updating the content view:

Error: Could not find package, please set one of options --packages, --package-ids.

Debug output:

12:04 $ hammer -vd content-view version incremental-update --content-view-version-id 10605 --packages <PACKAGENAME> 

--lifecycle-environment-ids 1,2,3,4,5

[ INFO 2018-02-26T12:05:40 Init] Initialization of Hammer CLI (0.11.0) has started...

[DEBUG 2018-02-26T12:05:40 Init] Running at ruby 2.3.3-p222

[ INFO 2018-02-26T12:05:40 Init] Configuration from the file 

/.hammer/cli_config.yml has been loaded

[ WARN 2018-02-26T12:05:40 Modules] Legacy configuration of modules detected. Check section about configuration in user manual

[ INFO 2018-02-26T12:05:40 SSLoptions] Matching CA cert was found in local CA store ~/.hammer/certs/<HOSTNAME>_443.pem

[DEBUG 2018-02-26T12:05:40 SSLoptions] SSL options: {

:verify_ssl => true,

:ssl_ca_file => "

/.hammer/certs/<HOSTNAME>_443.pem"

}

[DEBUG 2018-02-26T12:05:40 API] Global headers: {

:content_type => "application/json",
:accept => "application/json;version=2",

"Accept-Language" => "en"

}

[DEBUG 2018-02-26T12:05:40 API] Follow redirects: never

[DEBUG 2018-02-26T12:05:40 Connection] Registered: foreman

[ INFO 2018-02-26T12:05:40 Modules] Extension module hammer_cli_foreman (0.11.0) loaded

[ INFO 2018-02-26T12:05:40 Modules] Extension module hammer_cli_foreman_bootdisk (0.1.3) loaded

[ INFO 2018-02-26T12:05:41 HammerCLI::MainCommand] subcommand organization (HammerCLIForeman::Organization) was

removed.

[ INFO 2018-02-26T12:05:41 HammerCLI::MainCommand] subcommand organization (HammerCLIKatello::Organization) was

created.

[ INFO 2018-02-26T12:05:41 Modules] Extension module hammer_cli_katello (0.11.3) loaded

[DEBUG 2018-02-26T12:05:41 Init] Using locale 'en'

[DEBUG 2018-02-26T12:05:41 Init] 'mo' files for locale domain 'hammer-cli' loaded from

'/Library/Ruby/Gems/2.3.0/gems/hammer_cli-0.11.0/locale'

[DEBUG 2018-02-26T12:05:41 Init] 'mo' files for locale domain 'hammer-cli-foreman' loaded from

'/Library/Ruby/Gems/2.3.0/gems/hammer_cli_foreman-0.11.0/locale'

[DEBUG 2018-02-26T12:05:41 Init] 'mo' files for locale domain 'hammer_cli_foreman_docker' loaded from

'/Library/Ruby/Gems/2.3.0/gems/hammer_cli_foreman_docker-0.0.4/locale'

[DEBUG 2018-02-26T12:05:41 Init] 'mo' files for locale domain 'hammer-cli-katello' loaded from

'/Library/Ruby/Gems/2.3.0/gems/hammer_cli_katello-0.11.3/locale'

[ INFO 2018-02-26T12:05:41 HammerCLI::MainCommand] Called with options: {"option_verbose"=>true, "option_debug"=>true}

[ INFO 2018-02-26T12:05:41 HammerCLIKatello::ContentView] Called with options: {}

[ INFO 2018-02-26T12:05:41 HammerCLIKatello::ContentViewVersion] Called with options: {}

[ INFO 2018-02-26T12:05:41 HammerCLIKatello::ContentViewVersion::IncrementalUpdate] Called with options:

{"option_lifecycle_environment_ids"=>["1", "2", "3", "4", "5"], "option_content_view_version_id"=>10605,

"option_package_names"=>["<PACKAGENAME>"]}

[ INFO 2018-02-26T12:05:41 HammerCLIKatello::ContentViewVersion::IncrementalUpdate] Error occured while searching for

packages

[DEBUG 2018-02-26T12:05:41 Exception] Using exception handler

HammerCLIKatello::ExceptionHandler#handle_general_exception

[ERROR 2018-02-26T12:05:41 Exception] Error: Could not find package, please set one of options --packages, --package-ids.

An error occurred incrementally updating the content view:

Error: Could not find package, please set one of options --packages, --package-ids.

[ERROR 2018-02-26T12:05:41 Exception]

HammerCLIForeman::MissingSearchOptions (Could not find package, please set one of options --packages, --package-ids.):

/Library/Ruby/Gems/2.3.0/gems/hammer_cli_foreman-0.11.0/lib/hammer_cli_foreman/commands.rb:179:in `rescue in send_request'

/Library/Ruby/Gems/2.3.0/gems/hammer_cli_foreman-0.11.0/lib/hammer_cli_foreman/commands.rb:166:in `send_request'

/Library/Ruby/Gems/2.3.0/gems/hammer_cli_foreman_tasks-0.0.12/lib/hammer_cli_foreman_tasks/async_command.rb:14:in

`execute'

/Library/Ruby/Gems/2.3.0/gems/clamp-1.1.2/lib/clamp/command.rb:63:in `run'

/Library/Ruby/Gems/2.3.0/gems/hammer_cli-0.11.0/lib/hammer_cli/abstract.rb:29:in `run'

/Library/Ruby/Gems/2.3.0/gems/clamp-1.1.2/lib/clamp/subcommand/execution.rb:11:in `execute'

/Library/Ruby/Gems/2.3.0/gems/clamp-1.1.2/lib/clamp/command.rb:63:in `run'

/Library/Ruby/Gems/2.3.0/gems/hammer_cli-0.11.0/lib/hammer_cli/abstract.rb:29:in `run'

/Library/Ruby/Gems/2.3.0/gems/clamp-1.1.2/lib/clamp/subcommand/execution.rb:11:in `execute'

/Library/Ruby/Gems/2.3.0/gems/clamp-1.1.2/lib/clamp/command.rb:63:in `run'

/Library/Ruby/Gems/2.3.0/gems/hammer_cli-0.11.0/lib/hammer_cli/abstract.rb:29:in `run'

/Library/Ruby/Gems/2.3.0/gems/clamp-1.1.2/lib/clamp/subcommand/execution.rb:11:in `execute'

/Library/Ruby/Gems/2.3.0/gems/clamp-1.1.2/lib/clamp/command.rb:63:in `run'

/Library/Ruby/Gems/2.3.0/gems/hammer_cli-0.11.0/lib/hammer_cli/abstract.rb:29:in `run'

/Library/Ruby/Gems/2.3.0/gems/clamp-1.1.2/lib/clamp/command.rb:132:in `run'

/Library/Ruby/Gems/2.3.0/gems/hammer_cli-0.11.0/bin/hammer:147:in `<top (required)>'

/usr/local/bin/hammer:22:in `load'

/usr/local/bin/hammer:22:in `<main>'

Related issues:

Related to Katello - Refactor #26027: hammer_cli_katello resolvers interfere ... New

Associated revisions

Revision f7576287 - 07/16/2018 03:10 PM - Shira Maximov 

Fixes #22696 - Fix errors when --packages is used (#563)

History
#1 - 02/26/2018 07:52 PM - Ivan Necas

- Project changed from Foreman to Katello

- Category set to Content Views

#2 - 02/28/2018 07:01 PM - Andrew Kofink

- translation missing: en.field_release set to 338

#3 - 06/05/2018 11:02 AM - Tomer Brisker

- Status changed from New to Assigned

- Assignee set to Shira Maximov

#4 - 06/18/2018 09:48 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/hammer-cli-katello/pull/563 added

#5 - 07/11/2018 06:26 PM - Justin Sherrill

- Target version changed from Katello 3.7.0 to Katello 3.7.1

- Triaged set to No

#6 - 07/16/2018 04:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|f757628797c44c2816d09442993205cd9dfd8630.

#7 - 02/11/2019 02:34 PM - Ivan Necas

- Related to Refactor #26027: hammer_cli_katello resolvers interfere with foreman onces on katello-extended resources added
